Page MenuHomePhabricator

ContentTranslation builds are failing with seemingly unrelated errors - 2015-09-17
Closed, ResolvedPublic

Description

ContentTranslation builds are failing with seemingly unrelated errors, e.g. https://gerrit.wikimedia.org/r/#/c/239211/ and https://gerrit.wikimedia.org/r/#/c/220993/ .

Unbreak Now because it's blocking our development.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterFix the PNG image path for list modules

Event Timeline

Amire80 created this task.Sep 17 2015, 9:01 PM
Amire80 raised the priority of this task from to Unbreak Now!.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, greg, hashar, thcipriani.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 9:01 PM

This is due to https://gerrit.wikimedia.org/r/#/c/235903/, a new test was added to detect missing files in CSS...looks like it's working.

Mmm... which are the files in our case? I can't (easily) see it in the Jenkins output.

From https://integration.wikimedia.org/ci/job/mwext-testextension-zend/8926/consoleFull:

20:38:59 1) ResourcesTest::testFileExistence with data set #550 ('/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png', 'ext.cx.translationlist', '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png')
20:38:59 File '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png' referenced by 'ext.cx.translationlist' must exist.
20:38:59 Failed asserting that file "/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png" exists.


20:38:59 2) ResourcesTest::testFileExistence with data set #551 ('/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png', 'ext.cx.translationlist', '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png')
20:38:59 File '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png' referenced by 'ext.cx.translationlist' must exist.
20:38:59 Failed asserting that file "/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png" exists.


20:38:59 3) ResourcesTest::testFileExistence with data set #554 ('/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png', 'ext.cx.suggestionlist', '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png')
20:38:59 File '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png' referenced by 'ext.cx.suggestionlist' must exist.
20:38:59 Failed asserting that file "/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png" exists.


20:38:59 4) ResourcesTest::testFileExistence with data set #555 ('/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png', 'ext.cx.suggestionlist', '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png')
20:38:59 File '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png' referenced by 'ext.cx.suggestionlist' must exist.
20:38:59 Failed asserting that file "/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/ContentTranslation/modules/dashboard/styles/../images/link_lightgray.png" exists.
20:38:59 

20:38:59 5) ResourcesTest::testFileExistence with data set #926 ('/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/view/resources/jquery/wikibase/toolbar/themes/default/../../../../../../../../resources/lib/jquery.ui/themes/smoothness/images/ui-icons_888888_256x240.png', 'jquery.wikibase.toolbarbutton', '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/view/resources/jquery/wikibase/toolbar/themes/default/../../../../../../../../resources/lib/jquery.ui/themes/smoothness/images/ui-icons_888888_256x240.png')
20:38:59 File '/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/view/resources/jquery/wikibase/toolbar/themes/default/../../../../../../../../resources/lib/jquery.ui/themes/smoothness/images/ui-icons_888888_256x240.png' referenced by 'jquery.wikibase.toolbarbutton' must exist.
20:38:59 Failed asserting that file "/mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/view/resources/jquery/wikibase/toolbar/themes/default/../../../../../../../../resources/lib/jquery.ui/themes/smoothness/images/ui-icons_888888_256x240.png" exists.

Last one looks like an issue in Wikibase...

If the file paths are confusing, you can run the test locally and it'll output them relative to your installation.

Change 239312 had a related patch set uploaded (by Santhosh):
Fix the PNG image path for translationlist and suggestionlist modules

https://gerrit.wikimedia.org/r/239312

santhosh claimed this task.Sep 18 2015, 4:30 AM
santhosh added a project: LE-CX6-Sprint 4.
santhosh set Security to None.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 4 board.

Change 239312 merged by jenkins-bot:
Fix the PNG image path for list modules

https://gerrit.wikimedia.org/r/239312

Amire80 closed this task as Resolved.Sep 18 2015, 12:52 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from In Review to Done on the LE-CX6-Sprint 4 board.Sep 20 2015, 9:57 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 24 2018, 7:17 AM